# -*-makefile-*-
#
# Copyright (C) 2012 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_LIBFSLCODEC) += libfslcodec

#
# Paths and names
#
LIBFSLCODEC_VERSION	:= 3.0.1
LIBFSLCODEC_MD5		:= c21372b2682233d8136a879eab951565
LIBFSLCODEC		:= libfslcodec-$(LIBFSLCODEC_VERSION)
LIBFSLCODEC_SUFFIX	:= tar.gz
LIBFSLCODEC_URL		:= /$(LIBFSLCODEC).$(LIBFSLCODEC_SUFFIX)
LIBFSLCODEC_SOURCE	:= $(SRCDIR)/$(LIBFSLCODEC).$(LIBFSLCODEC_SUFFIX)
LIBFSLCODEC_DIR		:= $(BUILDDIR)/$(LIBFSLCODEC)
LIBFSLCODEC_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(LIBFSLCODEC_SOURCE):
#	@$(call targetinfo)
#	@$(call get, LIBFSLCODEC)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#LIBFSLCODEC_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#LIBFSLCODEC_CONF_TOOL	:= autoconf
#LIBFSLCODEC_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/libfslcodec.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(LIBFSLCODEC_DIR)/config.cache)
#	cd $(LIBFSLCODEC_DIR) && \
#		$(LIBFSLCODEC_PATH) $(LIBFSLCODEC_ENV) \
#		./configure $(LIBFSLCODEC_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/libfslcodec.targetinstall:
	@$(call targetinfo)

	@$(call install_init, libfslcodec)
	@$(call install_fixup, libfslcodec,PRIORITY,optional)
	@$(call install_fixup, libfslcodec,SECTION,base)
	@$(call install_fixup, libfslcodec,AUTHOR,"Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>")
	@$(call install_fixup, libfslcodec,DESCRIPTION,missing)

# Install libraries
	@$(call install_tree, libfslcodec, 0, 0, $(LIBFSLCODEC_DIR)/release/lib, /usr/lib)

	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecH264-1.7.so, \
							  /usr/lib/libDutDecH264-1.7.so)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecH264-1.8.so, \
							  /usr/lib/libDutDecH264-1.8.so)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecH264_arm11.so, \
							  /usr/lib/libDutDecH264_arm11.so)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecH264_arm9.so, \
							  /usr/lib/libDutDecH264_arm9.so)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecMPEG4ASP-2.1.so, \
							  /usr/lib/libDutDecMPEG4ASP-2.1.so)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecMPEG4ASP_ARM11-2.1.so, \
							  /usr/lib/libDutDecMPEG4ASP_ARM11-2.1.so)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecMPEG4ASP_ARM9-2.1.so, \
							  /usr/lib/libDutDecMPEG4ASP_ARM9-2.1.so)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecMPEG4ASP_arm11.so, \
							  /usr/lib/libDutDecMPEG4ASP_arm11.so)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecMPEG4ASP_arm9.so, \
							  /usr/lib/libDutDecMPEG4ASP_arm9.so)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecMPG2-1.7.so, \
							  /usr/lib/libDutDecMPG2-1.7.so)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/libDutDecMPG2_arm11.so, \
							  /usr/lib/libDutDecMPG2_arm11.so)


# Install binaries
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_aac_dec_arm11_elinux, \
							  /usr/bin/test_aac_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_aac_dec_arm12_elinux, \
							  /usr/bin/test_aac_dec_arm12_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_aac_dec_arm9_elinux, \
							  /usr/bin/test_aac_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_bmp_dec_arm11_elinux, \
							  /usr/bin/test_bmp_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_bmp_dec_arm9_elinux, \
							  /usr/bin/test_bmp_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_dec_arm_elinux, \
							  /usr/bin/test_dec_arm_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_deinterlace_arm11_elinux, \
							  /usr/bin/test_deinterlace_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_deinterlace_arm9_elinux, \
							  /usr/bin/test_deinterlace_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.711_dec_arm11_elinux, \
							  /usr/bin/test_g.711_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.711_dec_arm9_elinux, \
							  /usr/bin/test_g.711_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.711_enc_arm11_elinux, \
							  /usr/bin/test_g.711_enc_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.711_enc_arm9_elinux, \
							  /usr/bin/test_g.711_enc_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.723.1_dec_arm11_elinux, \
							  /usr/bin/test_g.723.1_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.723.1_dec_arm9_elinux, \
							  /usr/bin/test_g.723.1_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.723.1_enc_arm11_elinux, \
							  /usr/bin/test_g.723.1_enc_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.723.1_enc_arm9_elinux, \
							  /usr/bin/test_g.723.1_enc_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.726_dec_arm11_elinux, \
							  /usr/bin/test_g.726_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.726_dec_arm9_elinux, \
							  /usr/bin/test_g.726_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.726_enc_arm11_elinux, \
							  /usr/bin/test_g.726_enc_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.726_enc_arm9_elinux, \
							  /usr/bin/test_g.726_enc_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.729ab_dec_arm11_elinux, \
							  /usr/bin/test_g.729ab_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.729ab_dec_arm9_elinux, \
							  /usr/bin/test_g.729ab_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.729ab_enc_arm11_elinux, \
							  /usr/bin/test_g.729ab_enc_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_g.729ab_enc_arm9_elinux, \
							  /usr/bin/test_g.729ab_enc_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_gif_dec_arm11_elinux, \
							  /usr/bin/test_gif_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_jpeg_dec_arm11_elinux, \
							  /usr/bin/test_jpeg_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_jpeg_dec_arm11_elinux_novpu, \
							  /usr/bin/test_jpeg_dec_arm11_elinux_novpu)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_jpeg_dec_arm9_elinux, \
							  /usr/bin/test_jpeg_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_jpeg_enc_arm11_elinux, \
							  /usr/bin/test_jpeg_enc_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_mp3_dec_arm11_elinux, \
							  /usr/bin/test_mp3_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_mp3_dec_arm12_elinux, \
							  /usr/bin/test_mp3_dec_arm12_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_mp3_dec_arm9_elinux, \
							  /usr/bin/test_mp3_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_mp3_enc_arm11_elinux, \
							  /usr/bin/test_mp3_enc_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_mp3_enc_arm12_elinux, \
							  /usr/bin/test_mp3_enc_arm12_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_mp3_enc_arm9_elinux, \
							  /usr/bin/test_mp3_enc_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_nb_amr_dec_arm9_elinux, \
							  /usr/bin/test_nb_amr_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_nb_amr_enc_arm9_elinux, \
							  /usr/bin/test_nb_amr_enc_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_oggvorbis_dec_arm11_elinux, \
							  /usr/bin/test_oggvorbis_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_png_dec_arm11_elinux, \
							  /usr/bin/test_png_dec_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_png_dec_arm9_elinux, \
							  /usr/bin/test_png_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_sbc_enc_arm11_elinux, \
							  /usr/bin/test_sbc_enc_arm11_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_sbc_enc_arm9_elinux, \
							  /usr/bin/test_sbc_enc_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_wb_amr_dec_arm9_elinux, \
							  /usr/bin/test_wb_amr_dec_arm9_elinux)
	@$(call install_copy, libfslcodec, 0, 0, 0755, $(LIBFSLCODEC_DIR)/release/exe/test_wb_amr_enc_arm9_elinux, \
							  /usr/bin/test_wb_amr_enc_arm9_elinux)

	@$(call install_finish, libfslcodec)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/libfslcodec.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, LIBFSLCODEC)

# vim: syntax=make
