# -*-makefile-*-
#
# Copyright (C) 2012 by Michael Olbrich <m.olbrich@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MISC_DEMO) += misc-demo

#
# Paths and names
#
MISC_DEMO_VERSION	:= master
MISC_DEMO		:= misc-demo
MISC_DEMO_URL		:= file://local_src/$(MISC_DEMO)
MISC_DEMO_DIR		:= $(BUILDDIR)/$(MISC_DEMO)
MISC_DEMO_LICENSE	:= GPL

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

DEMO_CONF_TOOL	:= NO

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------
$(STATEDIR)/misc-demo.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/misc-demo.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/misc-demo.targetinstall:
	@$(call targetinfo)
	@$(call install_init, misc-demo)
	@$(call install_fixup, misc-demo,PRIORITY,optional)
	@$(call install_fixup, misc-demo,SECTION,base)
	@$(call install_fixup, misc-demo,AUTHOR,"Grigory Milev <G.Milev@sam-solutions.net>")
	@$(call install_fixup, misc-demo,DESCRIPTION,missing)

	@$(call install_copy, misc-demo, 0, 0, 0755, local_src/$(MISC_DEMO)/gpio-ldes.sh, /usr/bin/gpio-ldes.sh)
	@$(call install_finish, misc-demo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------
$(STATEDIR)/misc-demo.clean:
	@$(call targetinfo)
	@$(call clean_pkg, MISC_DEMO)

# vim: syntax=make
